Bug 863926 - [abrt] ibus-libpinyin-1.4.92-1.fc17: next_record: Process /usr/libexec/ibus-engine-libpinyin was killed by signal 6 (SIGABRT)
[abrt] ibus-libpinyin-1.4.92-1.fc17: next_record: Process /usr/libexec/ibus-e...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
abrt_hash:10cd37258f1ea8246e3446639ed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 01:08 EDT by Chen_Min_Chin
Modified: 2012-10-18 23:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 23:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.83 KB, text/plain)
2012-10-08 01:08 EDT, Chen_Min_Chin
no flags Details
File: environ (749 bytes, text/plain)
2012-10-08 01:08 EDT, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-08 01:08 EDT, Chen_Min_Chin
no flags Details
File: backtrace (18.78 KB, text/plain)
2012-10-08 01:08 EDT, Chen_Min_Chin
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-08 01:08 EDT, Chen_Min_Chin
no flags Details
File: maps (14.31 KB, text/plain)
2012-10-08 01:08 EDT, Chen_Min_Chin
no flags Details
File: dso_list (3.17 KB, text/plain)
2012-10-08 01:08 EDT, Chen_Min_Chin
no flags Details
File: open_fds (364 bytes, text/plain)
2012-10-08 01:08 EDT, Chen_Min_Chin
no flags Details
File: var_log_messages (379 bytes, text/plain)
2012-10-08 01:08 EDT, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2012-10-08 01:08:24 EDT
Version-Release number of selected component:
ibus-libpinyin-1.4.92-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: next_record
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #4 next_record at phrase_index_logger.h:207
: #5 pinyin::SubPhraseIndex::merge at phrase_index.cpp:364
: #6 pinyin::FacadePhraseIndex::merge at phrase_index.cpp:248
: #7 pinyin_load_phrase_library at pinyin.cpp:234
: #8 pinyin_init at pinyin.cpp:181
: #9 PY::LibPinyinBackEnd::initChewingContext at PYLibPinyin.cc:113
: #10 PY::LibPinyinBackEnd::allocChewingInstance at PYLibPinyin.cc:135
: #11 PY::LibPinyinBopomofoEditor::LibPinyinBopomofoEditor at PYPBopomofoEditor.cc:48
: #12 PY::LibPinyinBopomofoEngine::LibPinyinBopomofoEngine at PYPBopomofoEngine.cc:44
: #13 PY::ibus_pinyin_engine_constructor at PYEngine.cc:166
Comment 1 Chen_Min_Chin 2012-10-08 01:08:27 EDT
Created attachment 623297 [details]
File: core_backtrace
Comment 2 Chen_Min_Chin 2012-10-08 01:08:29 EDT
Created attachment 623298 [details]
File: environ
Comment 3 Chen_Min_Chin 2012-10-08 01:08:32 EDT
Created attachment 623299 [details]
File: limits
Comment 4 Chen_Min_Chin 2012-10-08 01:08:34 EDT
Created attachment 623300 [details]
File: backtrace
Comment 5 Chen_Min_Chin 2012-10-08 01:08:36 EDT
Created attachment 623301 [details]
File: cgroup
Comment 6 Chen_Min_Chin 2012-10-08 01:08:38 EDT
Created attachment 623302 [details]
File: maps
Comment 7 Chen_Min_Chin 2012-10-08 01:08:41 EDT
Created attachment 623303 [details]
File: dso_list
Comment 8 Chen_Min_Chin 2012-10-08 01:08:47 EDT
Created attachment 623304 [details]
File: open_fds
Comment 9 Chen_Min_Chin 2012-10-08 01:08:49 EDT
Created attachment 623305 [details]
File: var_log_messages
Comment 10 Peng Wu 2012-10-08 01:53:35 EDT
try to write patch to detect corrupted phrase index log file.
Comment 11 Fedora Update System 2012-10-16 02:47:25 EDT
ibus-libpinyin-1.4.93-1.fc18,libpinyin-0.7.92-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-libpinyin-1.4.93-1.fc18,libpinyin-0.7.92-1.fc18
Comment 12 Fedora Update System 2012-10-16 02:47:43 EDT
ibus-libpinyin-1.4.93-1.fc17,libpinyin-0.7.92-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-libpinyin-1.4.93-1.fc17,libpinyin-0.7.92-1.fc17
Comment 13 Fedora Update System 2012-10-16 13:40:43 EDT
Package ibus-libpinyin-1.4.93-1.fc18, libpinyin-0.7.92-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-libpinyin-1.4.93-1.fc18 libpinyin-0.7.92-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16212/ibus-libpinyin-1.4.93-1.fc18,libpinyin-0.7.92-1.fc18
then log in and leave karma (feedback).
Comment 14 Peng Wu 2012-10-18 23:23:26 EDT
As many code re-factors are landed in libpinyin 0.7.92, I just close this bug
for now. Feel free to file new bugs, if you still en-counter it in libpinyin
0.7.92 or later version.

Note You need to log in before you can comment on or make changes to this bug.